Get keyspace rollout status
curl --request GET \
--url https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/branches/{branch}/keyspaces/{keyspace}/rollout-status \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/branches/{branch}/keyspaces/{keyspace}/rollout-status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/branches/{branch}/keyspaces/{keyspace}/rollout-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"state": "<string>",
"shards": [
{
"name": "<string>",
"last_rollout_started_at": "<string>",
"last_rollout_finished_at": "<string>",
"state": "<string>"
}
]
}Database branch keyspaces
Get keyspace rollout status
Authorization
A service token must have at least one of the following access in order to use this API endpoint:
Service Token Accesses
read_branch
GET
/
organizations
/
{organization}
/
databases
/
{database}
/
branches
/
{branch}
/
keyspaces
/
{keyspace}
/
rollout-status
Get keyspace rollout status
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The name of the organization the branch belongs to
The name of the database the branch belongs to
The name of the branch
The name of the keyspace
⌘I

